Skip to content

Timelock proposals

GET
/v1/proposals
curl --request GET \
--url https://api.tako.wtf/v1/proposals

OK

Media typeapplication/json
Array<object>
object
id
required

Proposal id, 0x-prefixed hex

string
target
required

User-friendly address

string
value
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
op
required

First 32 bits of the body, 0x-prefixed hex

string | null
body
required

Message body, base64 BoC

string
readyAt
required

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
scheduledAt
required

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
status
required
string
Allowed values: scheduled executed cancelled
closedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991

Example

[
{
"status": "scheduled"
}
]